#
# Conditional build:
%bcond_without	apidocs		# API documentation
%bcond_without	tests		# test suite
%bcond_without	static_libs	# static library build

Summary:	Epoxy - GL dispatch library
Summary(pl.UTF-8):	Epoxy - biblioteka do przekazywania funkcji GL
Name:		libepoxy
Version:	1.5.10
Release:	1
License:	MIT
Group:		Libraries
##Source0Download: https://github.com/anholt/libepoxy/releases
#Source0:	https://github.com/anholt/libepoxy/releases/download/v1.4/%{name}-%{version}.tar.xz
Source0:	https://download.gnome.org/sources/libepoxy/1.5/%{name}-%{version}.tar.xz
# Source0-md5:	10c635557904aed5239a4885a7c4efb7
URL:		https://github.com/anholt/libepoxy
BuildRequires:	EGL-devel
BuildRequires:	OpenGL-devel
%{?with_apidocs:BuildRequires:	doxygen}
%{?with_tests:BuildRequires:	khrplatform-devel}
BuildRequires:	meson >= 0.54.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	pkgconfig(egl)
BuildRequires:	pkgconfig(gl)
BuildRequires:	python3 >= 1:3
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.752
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Epoxy is a library for handling OpenGL function pointer management for
you.

%description -l pl.UTF-8
Epoxy to biblioteka do obsługi zarządzania wskaźnikami do funkcji
OpenGL.

%package devel
Summary:	Development files for libepoxy
Summary(pl.UTF-8):	Pliki programistyczne biblioteki libepoxy
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains the header files for developing applications
that use libepoxy.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe do tworzenia aplikacji
wykorzystujących bibliotekę libepoxy.

%package static
Summary:	Static libepoxy library
Summary(pl.UTF-8):	Statyczna biblioteka libepoxy
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libepoxy library.

%description static -l pl.UTF-8
Statyczna biblioteka libepoxy.

%package apidocs
Summary:	API documentation for libepoxy library
Summary(pl.UTF-8):	Dokumentacja API biblioteki libepoxy
Group:		Documentation
BuildArch:	noarch

%description apidocs
API documentation for libepoxy library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki libepoxy.

%prep
%setup -q

%build
%meson build \
	%{!?with_static_libs:--default-library=shared} \
	%{?with_apidocs:-Ddocs=true} \
	%{!?with_tests:-Dtests=false}

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING README.md
%attr(755,root,root) %{_libdir}/libepoxy.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libepoxy.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libepoxy.so
%{_includedir}/epoxy
%{_pkgconfigdir}/epoxy.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libepoxy.a
%endif

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_docdir}/epoxy
%endif
%changelog
* Sun Mar 20 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libepoxy.git;a=log;h=master

* Sun Mar 20 2022 Jakub Bogusz <qboosh@pld-linux.org> b8ebd59
- use generic khrplatform-devel dependency

* Sat Mar 19 2022 Jan Palus <atler@pld-linux.org> a0f3890
- rpm version for noarch subpackage

* Sat Mar 19 2022 Jan Palus <atler@pld-linux.org> 905efac
- up to 1.5.10

* Mon Aug 16 2021 Jan Palus <atler@pld-linux.org> 13e4abf
- up to 1.5.9

* Sat May 22 2021 Jakub Bogusz <qboosh@pld-linux.org> 89eb5b4
- updated to 1.5.8

* Fri May 21 2021 Jakub Bogusz <qboosh@pld-linux.org> 484f1b5
- generalized EGL/OpenGL dependencies for libglvnd compatibility

* Sun May 02 2021 Jan Palus <atler@pld-linux.org> 17fa10c
- up to 1.5.7

* Sun Mar 07 2021 Jan Rękorajski <baggins@pld-linux.org> 93e642b
- unconditional noarch subpackages

* Tue Dec 22 2020 Jakub Bogusz <qboosh@pld-linux.org> 0d250d4
- updated to 1.5.5 (now uses meson)
- removed outdated link patch
- package apidocs

* Tue Nov 26 2019 Jakub Bogusz <qboosh@pld-linux.org> 5c4ade7
- updated to 1.5.4
- added link patch (fixes tests linking using autotools)

* Sun Oct 07 2018 Adam Gołębiowski <adamg@pld-linux.org> b29cc83
- updated to 1.5.3

* Sat Sep 22 2018 Jan Palus <atler@pld-linux.org> 2ab23af
- tests patch for x32 does not seem to be necessary anymore; rel 2

* Thu Sep 20 2018 Jan Palus <atler@pld-linux.org> f1ac3cd
- up to 1.5.2

* Tue Jun 13 2017 Jakub Bogusz <qboosh@pld-linux.org> bd0eb0f
- updated to 1.4.3

* Tue May 09 2017 Jakub Bogusz <qboosh@pld-linux.org> 208e6fe
- updated to 1.4.2

* Wed Apr 12 2017 Jakub Bogusz <qboosh@pld-linux.org> 6d06bd9
- updated to 1.4.1 (dist tarball from ftp.gnome.org now, github contains only git contents)

* Sun Feb 19 2017 Jakub Bogusz <qboosh@pld-linux.org> 766706f
- updated to 1.4.0

* Mon Oct 05 2015 Jakub Bogusz <qboosh@pld-linux.org> 5412bf3
- updated to 1.3.1

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> caf9283
- x32 rebuild
- release 2 (by relup.sh)

* Sun Jan 04 2015 Jan Rękorajski <baggins@pld-linux.org> af0b452
- disable tests only on x32

